

var searchOptionsDef_en = [
	{
		'id' : '0',
		'types' : markerOptions_stop,
		'name' : 'Cableway Stations',
		'icon' : '././img/search-station.svg',
		'disabled' : false,
	},
	{
		'id' : '01',
		'types' : markerOptions_commentary_point,
		'name' : 'Commentary Points',
		'icon' : '././img/search-commentary-point.svg',
		'disabled' : false,
		'hide' : true,
	},
	{
		'id' : '1',
		'types' : markerOptions_event,
		'name' : 'Shows, Talks and Encounters',
		'icon' : '././img/search-talks.svg',
		'disabled' : false
	},
	{
		'id' : '2',
		'types' : markerOptions_general.concat(markerOptions_plants).concat(markerOptions_animals).concat(markerOptions_building).concat(markerOptions_attraction),
		'name' : 'Attractions',
		'icon' : '././img/search-generic.svg',
		'disabled' : false,
	},
	{
		'id' : '3',
		'types' : markerOptions_eatery,
		'name' : 'Eateries',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{
		'id' : '4',
		'types' : markerOptions_toilet,
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '5',
		'types' : markerOptions_information,
		'name' : 'Information',
		'icon' : '././img/search-info.svg',
		'disabled' : false
	},
	{
		'id' : '6',
		'types' : markerOptions_shops,
		'name' : 'ATMs & Shops',
		'icon' : '././img/search-atm.svg',
		'disabled' : false
	},
	{
		'id' : '7',
		'types' : markerOptions_first_aid,
		'name' : 'First Aid',
		'icon' : '././img/search-first-aid.svg',
		'disabled' : false
	},
	{
		'id' : '8',
		'types' : markerOptions_water,
		'name' : 'Drinking Fountains',
		'icon' : '././img/search-drinking-fountains.svg',
		'disabled' : false
	},
	{
		'id' : '9',
		'types' : markerOptions_rest,
		'name' : "Picnic Areas",
		'icon' : '././img/search-picnic.svg',
		'disabled' : false
	},
	{
		'id' : '10',
		'types' : markerOptions_access,
		'name' : 'Parking',
		'icon' : '././img/search-parking.svg',
		'disabled' : false
	},
	{
		'id' : '11',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false
	},
	{
		'id' : '12',
		'types' : markerOptions_accomodation ,
		'name' : 'Accommodation',
		'icon' : '././img/search-buildings.svg',
		'disabled' : false
	},
	{
		'id' : '13',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},

]

var searchOptionsDef_zh_Hans = [
	{
		'id' : '0',
		'types' : markerOptions_stop,
		'name' : '缆车站',
		'icon' : '././img/search-station.svg',
		'disabled' : false,
	},
	{
		'id' : '01',
		'types' : markerOptions_commentary_point,
		'name' : 'Commentary Points',
		'icon' : '././img/search-commentary-point.svg',
		'disabled' : false,
		'hide' : true,
	},
	{
		'id' : '1',
		'types' : markerOptions_event,
		'name' : '演出与活动',
		'icon' : '././img/search-talks.svg',
		'disabled' : false
	},
	{
		'id' : '2',
		'types' : markerOptions_general.concat(markerOptions_plants).concat(markerOptions_animals).concat(markerOptions_building).concat(markerOptions_attraction),
		'name' : '景点',
		'icon' : '././img/search-generic.svg',
		'disabled' : false,
	},

	{
		'id' : '3',
		'types' : markerOptions_eatery,
		'name' : '餐厅',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{
		'id' : '4',
		'types' : markerOptions_toilet,
		'name' : '洗手间',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '5',
		'types' : markerOptions_information,
		'name' : '咨询台 & 无线网络',
		'icon' : '././img/search-info.svg',
		'disabled' : false
	},
	{
		'id' : '6',
		'types' : markerOptions_shops,
		'name' : 'ATM和商店',
		'icon' : '././img/search-atm.svg',
		'disabled' : false
	},
	{
		'id' : '7',
		'types' : markerOptions_first_aid,
		'name' : '急救',
		'icon' : '././img/search-first-aid.svg',
		'disabled' : false
	},
	{
		'id' : '8',
		'types' : markerOptions_water,
		'name' : '饮用水',
		'icon' : '././img/search-drinking-fountains.svg',
		'disabled' : false
	},
	{
		'id' : '9',
		'types' : markerOptions_rest,
		'name' : "儿童游乐区",
		'icon' : '././img/search-picnic.svg',
		'disabled' : false
	},
	{
		'id' : '10',
		'types' : markerOptions_access,
		'name' : '交通',
		'icon' : '././img/search-parking.svg',
		'disabled' : false
	},
	{
		'id' : '11',
		'types' : markerOptions_transportation ,
		'name' : '交通',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false
	},
	{
		'id' : '12',
		'types' : markerOptions_accomodation ,
		'name' : 'Accommodation',
		'icon' : '././img/search-buildings.svg',
		'disabled' : false
	},
	{
		'id' : '13',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},

]



var searchOptionsDef_jp = [
	{
		'id' : '0',
		'types' : markerOptions_stop,
		'name' : '駅',
		'icon' : '././img/search-station.svg',
		'disabled' : false,
	},
	{
		'id' : '01',
		'types' : markerOptions_commentary_point,
		'name' : 'Commentary Points Jp',
		'icon' : '././img/search-commentary-point.svg',
		'disabled' : false,
		'hide' : true,
	},
	{
		'id' : '1',
		'types' : markerOptions_event,
		'name' : 'Shows, Talks and Encounters',
		'icon' : '././img/search-talks.svg',
		'disabled' : false
	},
	{
		'id' : '2',
		'types' : markerOptions_general.concat(markerOptions_plants).concat(markerOptions_animals).concat(markerOptions_building).concat(markerOptions_attraction),
		'name' : 'アトラクション',
		'icon' : '././img/search-generic.svg',
		'disabled' : false,
	},
	{
		'id' : '3',
		'types' : markerOptions_eatery,
		'name' : '飲食店',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{
		'id' : '4',
		'types' : markerOptions_toilet,
		'name' : 'お手洗い',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '5',
		'types' : markerOptions_information,
		'name' : 'Information',
		'icon' : '././img/search-info.svg',
		'disabled' : false
	},
	{
		'id' : '6',
		'types' : markerOptions_shops,
		'name' : 'ATMと商店',
		'icon' : '././img/search-atm.svg',
		'disabled' : false
	},
	{
		'id' : '7',
		'types' : markerOptions_first_aid,
		'name' : 'First Aid',
		'icon' : '././img/search-first-aid.svg',
		'disabled' : false
	},
	{
		'id' : '8',
		'types' : markerOptions_water,
		'name' : 'Drinking Fountains',
		'icon' : '././img/search-drinking-fountains.svg',
		'disabled' : false
	},
	{
		'id' : '9',
		'types' : markerOptions_rest,
		'name' : "Picnic Areas",
		'icon' : '././img/search-picnic.svg',
		'disabled' : false
	},
	{
		'id' : '10',
		'types' : markerOptions_access,
		'name' : 'Parking',
		'icon' : '././img/search-parking.svg',
		'disabled' : false
	},
	{
		'id' : '11',
		'types' : markerOptions_transportation ,
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : false
	},
	{
		'id' : '12',
		'types' : markerOptions_accomodation ,
		'name' : 'Accommodation',
		'icon' : '././img/search-buildings.svg',
		'disabled' : false
	},
	{
		'id' : '13',
		'types' : ['general_tour','general-small_tour'],
		'name' : 'Tour Stops',
		'icon' : '././img/search-tour.svg',
		'disabled' : true,
		'hide' : true,
	},

]


var searchDefDic = {
	'en' : searchOptionsDef_en,
	'zh_Hans' : searchOptionsDef_zh_Hans,
	'ja' : searchOptionsDef_jp,
}
var searchOptionsDef;

function initSearchOptionsDef (){
	 searchOptionsDef = searchDefDic[language];
}
