function AppConnector() {

	this.appendTempString = function (key, s) {
		if (!this.tempData)
			this.tempData = {};
		if (!this.tempData[key])
			this.tempData[key] = s;
		else
			this.tempData[key]=this.tempData[key]+s;
	}
	


	this.setBackboneJSON = function (s) {
		if (typeof s === 'string')
			this.backboneJSON = JSON.parse(s);
		else
			this.backboneJSON = s;
	}

	this.getBackboneJSON = function () {
		return this.backboneJSON;
	}

	this.setRoutingJSON = function (s) {
		if (typeof s === 'string')
			this.routingJSON = JSON.parse(s);
		else
			this.routingJSON = s;
	}

	this.getRoutingJSON = function () {
		return this.routingJSON;
	}

	this.setLabelsJSON = function (s) {
		if (typeof s === 'string') {
			this.labelsJSON = JSON.parse(s);
		} else {
			//console.log("s=" + typeof s)
			this.labelsJSON = s;
		}
	}

	this.getLabelsJSON = function () {
		return this.labelsJSON;
	}

	this.setStaticMarkersJSON = function (s) {
		if (typeof s === 'string')
			this.staticMarkersJSON = JSON.parse(s);
		else
			this.staticMarkersJSON = s;
	}

	this.getStaticMarkersJSON = function () {
		return this.staticMarkersJSON;
	}

	this.setPinboardMarkersJSON = function (s) {
		this.pbMarkersJSON = s;
	}

	this.getPinboardMarkersJSON = function () {
		return this.pbMarkersJSON;
	}

	this.setActivePinboardMarkersJSON = function (s) {
		if (typeof s === 'string')
			this.activePBMarkersJSON = JSON.parse(s);
		else
			this.activePBMarkersJSON = s;
	}

	this.getActivePinboardMarkersJSON = function () {
		return this.activePBMarkersJSON;
	}

	this.setEventsJSON = function (s) {
		if (typeof s === 'string')
			this.eventsJSON = JSON.parse(s);
		else
			this.eventsJSON = s;
	}

	this.getEventsJSON = function () {
		return this.eventsJSON;
	}

	
	this.setHeatmapDataJSON = function (s) {
		if (typeof s === 'string')
			this.heatmapDataJSON = JSON.parse(s);
		else
			this.heatmapDataJSON = s;
	}

	this.getHeatmapDataJSON = function () {
		return this.heatmapDataJSON;
	}
	
	
	// error handling
	this.handleError = function (id, s) {
		console.log('handleError: ' + id);
		// 1 - location uknown
		// 2 - location outside viewable bounds
		// 3 - path not found
		//alert(s);
		window.location.href = "yourapp://www.yourapp.com/warningMessage?id=" + id;
	}
	// get info
	this.handleGetInfoForPinboardItem = function (id) {
		// implement

	}


	//show on map for
	this.showOnMap = function (location_id) {
		showOnMap(location_id)
	}
	
	this.recordStatistic = function (statistic) {

	}
}