
function langString(langKey, stringKey){	
	if (langDic[langKey]) return langDic[langKey][stringKey]
	else return '';
}

var strings_en = {
	'directions': 'Directions',
	'info': 'View more...',
	'add': 'Add',
	'direction_arrived' : "You've arrived!",
	'direction_walk' : 'walk',
	'direction_walk_to_path' : 'walk to path',
	'direction_slight_right' : 'slight right',
	'direction_right' : 'right',
	'direction_sharp_right' : 'sharp right',
	'direction_slight_left' : 'slight left',
	'direction_left' : 'left',
	'direction_sharp_left' : 'sharp left',
	'direction_turn_around' : 'turn around',
	'direction_then' : 'then',
	'h' : 'h',
	'min' : 'min',
	's' : 's',
	'metres' : 'm',
	'eye_scanner_name' : "What's around me",
	'search_modal_name' : "Find on Map",
	'calibrate_modal_name' : "Calibrate your compass",
	'calibrate_modal_body' : "If your red dot's beam is pointing in the wrong direction, you’ll need to calibrate your compass.<br><br> Make a figure 8 until your compass is calibrated. You should only have to do this a few times. The beam should point in the right direction.",
}

var strings_zh_Hans = {
	'directions': '获取路线',
	'info':  '更多...',
	'add': 'Add ch',
	'direction_arrived' : "You've arrived! ch",
	'direction_walk' : 'walk ch',
	'direction_walk_to_path' : 'walk to path ch',
	'direction_slight_right' : 'slight right ch',
	'direction_right' : 'right ch',
	'direction_sharp_right' : 'sharp right ch',
	'direction_slight_left' : 'slight left ch',
	'direction_left' : 'left ch',
	'direction_sharp_left' : 'sharp left ch',
	'direction_turn_around' : 'turn around ch',
	'direction_then' : 'then ch',
	'h' : 'h ch',
	'min' : 'min ch',
	's' : 's ch',
	'metres' : 'm ch',
	'eye_scanner_name' : "What's around me ch",
	'search_modal_name' : "Find on Map ch",
	'calibrate_modal_name' : "Calibrate your compass ch",
	'calibrate_modal_body' : "Ch If your red dot's beam is pointing in the wrong direction, you’ll need to calibrate your compass. <br> Make a figure 8 until your compass is calibrated. You should only have to do this a few times. The beam should point in the right direction.",

}

var langDic = {
	'en' : strings_en,
	'zh_Hans' : strings_zh_Hans,

}

 