 	  var defaultMarkerStyle = new ol.style.Style({
 	  		image : new ol.style.Icon(/** @type {olx.style.IconOptions} */
 	  			({
 	  				anchor : [0.5, 41],
 	  				anchorXUnits : 'fraction',
 	  				anchorYUnits : 'pixels',
 	  				src : '././img/marker.png'
 	  			}))
 	  	});

 	  var geoMarkerStyle = new ol.style.Style({
 	  		image : new ol.style.Circle({
 	  			radius : 7,
 	  			snapToPixel : false,
 	  			fill : new ol.style.Fill({
 	  				color : 'blue'
 	  			}),
 	  			stroke : new ol.style.Stroke({
 	  				color : 'yellow',
 	  				width : 2
 	  			})
 	  		})
 	  	});

 	  function createIconMarker(coord, name, popup_content, marker_type) {
 	  	var feature = new ol.Feature({
 	  			type : 'marker-with-popup',
 	  			geometry : new ol.geom.Point(coord),
 	  			name : name,
 	  			popup_content : popup_content
 	  		});
 	  	//console.log('marker_type ' + marker_type);
 	  	if (marker_type && markerStyles[marker_type])
 	  		feature.setStyle(markerStyles[marker_type]['normal']);
 	  	else
 	  		feature.setStyle(defaultMarkerStyle);
 	  	return feature;
 	  	}

 	  	function createCircleMarker(coord, type, name, popup_content) {
 	  		var geoMarker = new ol.Feature({
 	  				type : type,
 	  				geometry : new ol.geom.Point(coord),
 	  				name : name,
 	  				popup_content : popup_content
 	  			});
 	  		geoMarker.setStyle(geoMarkerStyle);
 	  		return geoMarker;
 	  	}

 	  	function createLabel(text) {
 	  		var label = new ol.Feature({
 	  				type : 'text',
 	  				geometry : new ol.geom.Point([500, 700])
 	  			});
 	  		var labelStyle = new ol.style.Style({
 	  				text : new ol.style.Text({
 	  					text : text
 	  				})
 	  			});
 	  		label.setStyle(labelStyle);
 	  		return label;
 	  	}