
var searchOptionsDef_en = [
	{
		'id' : '13',
		'types' : ['exit'],
		'name' : 'Entrance/Exit',
		'icon' : '././img/search-exit.svg',
		'disabled' : false,
	},
	{
		'id' : '1',
		'types' : ['event','animal encounter','keeper talk','sky safari','squirrel-monkey'],
		'name' : 'Shows, Talks and Encounters',
		'icon' : '././img/search-talks.svg',
		'disabled' : true
	}, 
	{
		'id' : '2',
		'types' : ['animal'],
		'name' : 'Animals',
		'icon' : '././img/search-animals.svg',
		'disabled' : false,
		'linked_labels' : "animal"
	},
	{	
		'id' : '12',
		'types' : ['wild-squad-bees','wild-squad-chimp','wild-squad-lemur'],
		'name' : 'Wild Squad Missions',
		'icon' : '././img/search-wild squad.svg',
		'disabled' : true
	},
	{
		'id' : '3',
		'types' : ['eatery','picnic'],
		'name' : 'Eateries & Picnic Tables',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{	
		'id' : '4',
		'types' : ['mf Toilet','accessible toilet','parents room'],
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '5',
		'types' : ['tickets','information','wifi'],
		'name' : 'Tickets, Information & Wi-Fi',
		'icon' : '././img/search-tickets.svg',
		'disabled' : true
	},
	{
		'id' : '6',
		'types' : ['atm','stroller hire','shop','lockers'],
		'name' : 'ATMs, Shops & Hire',
		'icon' : '././img/search-atm.svg',
		'disabled' : true
	},
	{
		'id' : '7',
		'types' : ['first aid'],
		'name' : 'First Aid',
		'icon' : '././img/search-first-aid.svg',
		'disabled' : true
	},
	{
		'id' : '8',
		'types' : ['water'],
		'name' : 'Drinking Fountains',
		'icon' : '././img/search-drinking-fountains.svg',
		'disabled' : true
	},
	{	
		'id' : '9',
		'types' : ['kids play area','concert lawn'],
		'name' : "Kid's Play Areas",
		'icon' : '././img/search-activities.svg',
		'disabled' : true
	},
	{	
		'id' : '10',
		'types' : ['escalator','lift','stairs'],
		'name' : 'Escalators, Lifts & Stairs',
		'icon' : '././img/search-stairs.svg',
		'disabled' : true
	},
	,
	{	
		'id' : '11',
		'types' : ['bus','fery','taxi','parking'],
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : true
	},
]

var searchOptionsDef_zh_Hans = [
	{
		'id' : '13',
		'types' : ['exit'],
		'name' : 'Entrance/Exit ch',
		'icon' : '././img/search-exit.svg',
		'disabled' : false,
	},
	{
		'id' : '1',
		'types' : ['event','animal encounter','keeper talk','sky safari','squirrel-monkey'],
		'name' : 'Shows, Talks and Encounters ch',
		'icon' : '././img/search-talks.svg',
		'disabled' : true
	}, 
	{
		'id' : '2',
		'types' : ['animal'],
		'name' : 'Animals ch',
		'icon' : '././img/search-animals.svg',
		'disabled' : false,
		'linked_labels' : "animal"
	},
	{	
		'id' : '12',
		'types' : ['wild-squad-bees','wild-squad-chimp','wild-squad-lemur'],
		'name' : 'Wild Squad Missions',
		'icon' : '././img/search-wild squad.svg',
		'disabled' : true
	},
	{
		'id' : '3',
		'types' : ['eatery','picnic'],
		'name' : 'Eateries & Picnic Tables',
		'icon' : '././img/search-food.svg',
		'disabled' : false
	},
	{	
		'id' : '4',
		'types' : ['mf Toilet','accessible toilet','parents room'],
		'name' : 'Toilets',
		'icon' : '././img/search-toilets.svg',
		'disabled' : false
	},
	{
		'id' : '5',
		'types' : ['tickets','information','wifi'],
		'name' : 'Tickets, Information & Wi-Fi',
		'icon' : '././img/search-tickets.svg',
		'disabled' : true
	},
	{
		'id' : '6',
		'types' : ['atm','stroller hire','shop','lockers'],
		'name' : 'ATMs, Shops & Hire',
		'icon' : '././img/search-atm.svg',
		'disabled' : true
	},
	{
		'id' : '7',
		'types' : ['first aid'],
		'name' : 'First Aid',
		'icon' : '././img/search-first-aid.svg',
		'disabled' : true
	},
	{
		'id' : '8',
		'types' : ['water'],
		'name' : 'Drinking Fountains',
		'icon' : '././img/search-drinking-fountains.svg',
		'disabled' : true
	},
	{	
		'id' : '9',
		'types' : ['kids play area','concert lawn'],
		'name' : "Kid's Play Areas",
		'icon' : '././img/search-activities.svg',
		'disabled' : true
	},
	{	
		'id' : '10',
		'types' : ['escalator','lift','stairs'],
		'name' : 'Escalators, Lifts & Stairs',
		'icon' : '././img/search-stairs.svg',
		'disabled' : true
	},
	,
	{	
		'id' : '11',
		'types' : ['bus','fery','taxi','parking'],
		'name' : 'Transportation',
		'icon' : '././img/search-transportation.svg',
		'disabled' : true
	},
]


var searchDefDic = {
	'en' : searchOptionsDef_en,
	'zh_Hans' : searchOptionsDef_zh_Hans,

}
var searchOptionsDef;

function initSearchOptionsDef (){
	 searchOptionsDef = searchDefDic[language];
}

